#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 idris
version:              1.3.2
visibility:           public
id:                   idris-1.3.2-8eTwnUtWCDrKTsLADTA4SC
key:                  idris-1.3.2-8eTwnUtWCDrKTsLADTA4SC
license:              BSD-3-Clause
maintainer:           Edwin Brady <eb@cs.st-andrews.ac.uk>
author:               Edwin Brady
stability:            Beta
homepage:             http://www.idris-lang.org/
synopsis:             Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <http://www.idris-lang.org/documentation>.
    Features include:

    * Full, first class, dependent types with dependent pattern matching

    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings

    * Interfaces (similar to type classes), monad comprehensions

    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs

    * Totality checking

    * Coinductive types

    * Indentation significant syntax, extensible syntax

    * Cumulative universes

    * Simple foreign function interface (to C)

    * Hugs style interactive environment

category:             Compilers/Interpreters, Dependent Types
abi:                  fee33b5ae7ce1e0b28ec83bb1867d4ca
exposed:              True
exposed-modules:
    IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Package.Parser Idris.Parser
    Idris.Parser.Data Idris.Parser.Expr Idris.Parser.Helpers
    Idris.Parser.Ops Idris.Parser.Stack Idris.PartialEval
    Idris.Primitives Idris.ProofSearch Idris.Prover Idris.Providers
    Idris.REPL Idris.REPL.Browse Idris.REPL.Commands Idris.REPL.Parser
    Idris.Reflection Idris.Termination Idris.Transforms
    Idris.TypeSearch Idris.Unlit Idris.WhoCalls Util.DynamicLinker
    Util.ScreenSize Util.System

hidden-modules:
    Util.Pretty Util.Net Paths_idris Version_idris Tools_idris
    BuildFlags_idris

import-dirs:          /usr/lib/ghc-8.8.1/site-local/idris-1.3.2
library-dirs:         /usr/lib/ghc-8.8.1/site-local/idris-1.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/idris
hs-libraries:         HSidris-1.3.2-8eTwnUtWCDrKTsLADTA4SC
extra-libraries:      gmp
depends:
    aeson-1.4.6.0-14aMj661H7U58XQ3xLLXvh
    annotated-wl-pprint-0.7.0-GnwGLTLAoUz1b9IARtaRpM
    ansi-terminal-0.10.3-9zJT3Osp5wTAaMBIHKdPu2
    ansi-wl-pprint-0.6.9-8g4uNwkOiJA5RF873eOrQv array-0.5.4.0
    async-2.2.2-JbTI50oMvRQ99Orc9hydUg base-4.13.0.0
    base64-bytestring-1.0.0.3-3IA3FZQpNvaBg5PAcOrJWm binary-0.8.7.0
    blaze-html-0.9.1.2-CuobdZ1jJKZ6dr6cR4d1E3
    blaze-markup-0.8.2.3-8dOgqCljL1AGxiQtScilYv bytestring-0.10.9.0
    cheapskate-0.1.1.2-B7rV7OpjywD8vdBHobjoSq
    code-page-0.2-3ZPLxXkH34R4zgabU0YisI containers-0.6.2.1
    deepseq-1.4.4.0 directory-1.3.3.2 filepath-1.4.2.1
    fingertree-0.1.4.2-3bWxhbKlsCDOfuYJGnT27
    fsnotify-0.3.0.1-EcYwPzG6pb6BMc7XVtvG5S haskeline-0.7.5.0
    ieee754-0.8.0-EXeeyTii0hq1uhkX1pvfZc
    libffi-0.1-I5Zq0Cmk0zGv0kMknkm1v
    megaparsec-7.0.5-DHYNQXVu863HjMPQrYZVe2 mtl-2.2.2
    network-2.8.0.1-LoLpkHQvMiDKCthSusWHQL
    optparse-applicative-0.15.1.0-HIVdVvHYyki2Y1Jf2pkG5F
    parser-combinators-1.2.1-IRMw0PVyjClCzP4SjVbI21 pretty-1.1.3.6
    process-1.6.5.1 regex-tdfa-1.3.1.0-6G7H57JVHMaL70FeoeoRln
    safe-0.3.18-77EtIZs3AFB4iOmOvdspYk
    split-0.2.3.3-Imk4Kavlpsc2Mchub8SxkY
    terminal-size-0.3.2.1-Lp3EPz6AmPvE7uvVvixMVf text-1.2.4.0
    time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.12-HL98jOrwLcJCWK6erGzGPP unix-2.7.2.2
    unordered-containers-0.2.10.0-9ICZg3HcXJIzoexd54oj9
    utf8-string-1.0.1.1-1HfykF5MIdh2bma15tAD09
    vector-0.12.1.2-AUE2RejTPuTGt751uxPY7M
    vector-binary-instances-0.2.5.1-7xCX1YSKZ843Lj5iHUnKmo
    zip-archive-0.4.1-HtsOWh8i6By8V8ovMeur5M

haddock-interfaces:   /usr/share/doc/idris/html/idris.haddock
haddock-html:         /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

